/*************************************************************/
// Copyright (c) 2020 Oracle and/or its affiliates.
/*************************************************************/


// internet gateway creation only if public subnet is enabled either for management or media subnets//
resource "oci_core_internet_gateway" "sbc_internet_gateway" {
  #Required
  count          = ((var.prohibit_public_ip_management == true) && (var.prohibit_public_ip_media == true)) ? 0 : 1
  compartment_id = var.compartment_ocid
  vcn_id         = oci_core_vcn.sbc_vcn.id
  enabled        = "true"
  display_name   = "${var.resource_label}-internet_gw"
}

//service gateway creation only of management subnet is private 

resource "oci_core_service_gateway" "sbc_service_gateway" {
  count          = (var.prohibit_public_ip_management == false) ? 0 : 1
  compartment_id = var.compartment_ocid

  services {
    service_id = data.oci_core_services.oci_services.services[0].id
  }

  vcn_id       = oci_core_vcn.sbc_vcn.id
  display_name = "${var.resource_label}-service_gateway"
}

// to fetch service ocid 
data "oci_core_services" "oci_services" {
}

